public class RectangleTester {
    public static void main(String[] args) {
        OverloadedPoint p1 = new OverloadedPoint();
        OverloadedPoint p2 = new OverloadedPoint(-1, -1);
        Rectangle r = new Rectangle(p1, p2);
        System.out.print("Point 1: ");
        System.out.println(p1);
        System.out.println(p2.toString("Point 2"));
        System.out.print("Rectangle: ");
        System.out.println(r);
        System.out.print("Area: ");
        System.out.println(r.calculateArea());
        System.out.print("Perimeter: ");
        System.out.println(r.calculatePerimeter());
    }
}
